> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lịch sử bid/ask

> Truy vấn thông tin lịch sử bid/ask độ sâu thị trường của mã chứng khoán theo bảng giao dịch và khoảng thời gian cụ thể.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-07-23.yaml get /price/{symbol}/quotes
openapi: 3.0.0
info:
  title: OpenAPI-V2-Spec 260730
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /price/{symbol}/quotes:
    parameters:
      - name: symbol
        in: path
        required: true
        description: Mã chứng khoán
        schema:
          type: string
        example: ACB
    get:
      tags:
        - market-data
      summary: Lịch sử bid/ask
      description: >-
        Truy vấn thông tin lịch sử bid/ask độ sâu thị trường của mã chứng khoán
        theo bảng giao dịch và khoảng thời gian cụ thể.
      parameters:
        - name: boardId
          in: query
          required: true
          description: |-
            Mã bảng giao dịch
            - G1: Lô chẵn
            - G4: Lô lẻ
            - T1: Thỏa thuận trong giờ (9h - 14h45)
            - T3: Thỏa thuận sau giờ (14h45 - 15h)
            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
            - T6: Thỏa thuận lô lẻ sau giờ  (14h45 - 15h)
          schema:
            type: string
          example: G1
        - name: from
          in: query
          required: true
          description: Thời gian bắt đầu (timestamp)
          schema:
            type: string
          example: '1785727927'
        - name: to
          in: query
          required: true
          description: Thời gian kết thúc (timestamp) (không vượt quá 1 ngày)
          schema:
            type: string
          example: '1785735127'
        - name: limit
          in: query
          schema:
            type: integer
          example: 100
        - name: X-API-Key
          in: header
          required: false
          description: API Key được cấp khi đăng ký dịch vụ
          deprecated: false
          schema: {}
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: false
          description: Thời gian thực hiện yêu cầu
          deprecated: false
          schema: {}
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: false
          description: Chữ ký xác thực yêu cầu
          deprecated: false
          schema: {}
          example: '{{signature}}'
        - name: version
          in: header
          required: false
          description: API version (YYYY-MM-DD)
          deprecated: false
          schema: {}
          example: '2026-05-07'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 43686
            Date:
              schema:
                type: string
              example: Wed, 27 May 2026 08:19:16 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 10000
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 9999
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1779956355
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Danh sách dữ liệu sổ lệnh (Market Depth) cùng thông tin phân
                  trang.
                properties:
                  quotes:
                    type: array
                    description: Danh sách dữ liệu sổ lệnh của mã chứng khoán
                    example:
                      - marketId: STO
                        boardId: G1
                        isin: VN000000ACB8
                        symbol: ACB
                        bid:
                          - price: 101
                            quantity: 10
                          - price: 100
                            quantity: 50
                          - price: 99.5
                            quantity: 10
                        offer:
                          - price: 106
                            quantity: 4870
                          - price: 106.1
                            quantity: 500
                          - price: 110
                            quantity: 30
                        totalOfferQtty: 0
                        totalBidQtty: 0
                        time: '2026-08-03 10:59:12.336'
                    items:
                      type: object
                      properties:
                        marketId:
                          type: string
                          example: STO
                          description: |-
                            Mã thị trường niêm yết mã chứng khoán
                            - DVX: Phái sinh sàn HNX
                            - HCX: Trái phiếu doanh nghiệp HNX
                            - STO: Cổ phiếu sàn HOSE
                            - STX: Cổ phiếu sàn HNX
                            - UPX: Cổ phiếu sàn Upcom
                        boardId:
                          type: string
                          example: G1
                          description: |-
                            Mã bảng giao dịch
                            - G1: Lô chẵn
                            - G4: Lô lẻ
                            - T1: Thỏa thuận trong giờ (9h - 14h45)
                            - T3: Thỏa thuận sau giờ (14h45 - 15h)
                            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
                            - T6: Thỏa thuận lô lẻ sau giờ (14h45 - 15h)
                        isin:
                          type: string
                          example: VN000000ACB8
                          description: Mã định danh quốc tế (ISIN) của chứng khoán.
                        symbol:
                          type: string
                          example: ACB
                          description: Mã chứng khoán
                        bid:
                          type: array
                          description: Danh sách các mức giá chào mua
                          example:
                            - price: 101
                              quantity: 10
                          items:
                            type: object
                            properties:
                              price:
                                type: number
                                format: double
                                example: 101
                                description: Giá đặt mua
                              quantity:
                                type: integer
                                format: int32
                                example: 10
                                description: Khối lượng đặt mua tại mức giá tương ứng
                        offer:
                          type: array
                          description: Danh sách các mức giá chào bán
                          example:
                            - price: 106
                              quantity: 4870
                          items:
                            type: object
                            properties:
                              price:
                                type: number
                                format: double
                                example: 106
                                description: Giá đặt bán
                              quantity:
                                type: integer
                                format: int32
                                example: 4870
                                description: Khối lượng đặt bán tại mức giá tương ứng
                        totalOfferQtty:
                          type: integer
                          format: int32
                          example: 0
                          description: Tổng khối lượng dư bán
                        totalBidQtty:
                          type: integer
                          format: int32
                          example: 0
                          description: Tổng khối lượng dư mua
                        time:
                          type: string
                          example: '2026-08-03 10:59:12.336'
                          description: >-
                            Thời gian ghi nhận. Định dạng: YYYY-MM-DD
                            HH:mm:ss.SSS (GMT+7)
                  nextPageToken:
                    type: string
                    example: MTM2NDYxOV8yMDI2LTA1LTI2VDA0OjI3OjQyLjQyNFo=
                    description: >-
                      Token dùng để lấy trang dữ liệu tiếp theo. Không có hoặc
                      rỗng nếu không còn dữ liệu
              example:
                quotes:
                  - marketId: STO
                    boardId: G1
                    isin: VN000000ACB8
                    symbol: ACB
                    bid:
                      - price: 101
                        quantity: 10
                      - price: 100
                        quantity: 50
                      - price: 99.5
                        quantity: 10
                    offer:
                      - price: 106
                        quantity: 4870
                      - price: 106.1
                        quantity: 500
                      - price: 110
                        quantity: 30
                    totalOfferQtty: 0
                    totalBidQtty: 0
                    time: '2026-08-03 10:59:12.336'
                  - marketId: STO
                    boardId: G1
                    isin: VN000000ACB8
                    symbol: ACB
                    bid:
                      - price: 100
                        quantity: 50
                      - price: 99.5
                        quantity: 10
                    offer:
                      - price: 106
                        quantity: 4870
                      - price: 106.1
                        quantity: 500
                      - price: 110
                        quantity: 30
                    totalOfferQtty: 0
                    totalBidQtty: 0
                    time: '2026-08-03 10:58:30.105'
                  - marketId: STO
                    boardId: G1
                    isin: VN000000ACB8
                    symbol: ACB
                    bid:
                      - price: 100
                        quantity: 50
                    offer:
                      - price: 106
                        quantity: 4870
                      - price: 106.1
                        quantity: 500
                      - price: 110
                        quantity: 30
                    totalOfferQtty: 0
                    totalBidQtty: 0
                    time: '2026-08-03 10:49:10.822'
                  - marketId: STO
                    boardId: G1
                    isin: VN000000ACB8
                    symbol: ACB
                    bid:
                      - price: 100
                        quantity: 50
                    offer:
                      - price: 106
                        quantity: 4880
                      - price: 106.1
                        quantity: 500
                      - price: 110
                        quantity: 30
                    totalOfferQtty: 0
                    totalBidQtty: 0
                    time: '2026-08-03 10:39:24.198'
                nextPageToken: MTM2NDYxOV8yMDI2LTA1LTI2VDA0OjI3OjQyLjQyNFo=
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.